/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001,2002,2006.  All Rights Reserved.
 */

#ifndef __INCLUDE_ORDINALRECORDINGADAPTER_H
#define __INCLUDE_ORDINALRECORDINGADAPTER_H1

#ifdef __cplusplus
extern "C" { 
#endif


/*
defines like these should be used in calls to ProxyLock() in all your
wrappers.  The header for this should also be used by a corresponding
custom script generator adapter.
*/


#define P_HELLOWORLD1				1
#define P_HELLOWORLD2				2	

/* begin structures for hooked functions */

typedef struct{
	BOOL		bReturn;
    int			iOffszStr;
}S_HELLOWORLD;


BOOL
WINAPI
pHelloWorld1(LPSTR lpStr);


BOOL
WINAPI
pHelloWorld2(LPSTR lpStr);

extern int gbLibID;

#ifdef __cplusplus
}  // extern "C"
#endif


#endif	// __INCLUDE_ORDINALRECORDINGADAPTER_H1
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

